/* slurp-download-item-widget.h
 *
 * Copyright © 2018 Julian Richen <julian@richen.io>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SLURP_DOWNLOAD_ITEM_WIDGET_H
#define SLURP_DOWNLOAD_ITEM_WIDGET_H

#include "slurp-gtk-config.h"

#include <slurp/slurp.h>

#include <glib-object.h>
#include <glib.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define SLURP_TYPE_DOWNLOAD_ITEM_WIDGET (slurp_download_item_widget_get_type())

G_DECLARE_FINAL_TYPE (SlurpDownloadItemWidget, slurp_download_item_widget, SLURP, DOWNLOAD_ITEM_WIDGET, GtkBin)

struct _SlurpDownloadItemWidget
{
	GtkBin parent_instance;
};

SlurpDownloadItemWidget *
slurp_download_item_widget_new (void);

SlurpDownloadItemWidget *
slurp_download_item_widget_new_with_resource (SlurpResource *resource);

gboolean
slurp_download_item_widget_add_resource (SlurpDownloadItemWidget *self,
                                         SlurpResource           *resource);

G_END_DECLS

#endif /* SLURP_DOWNLOAD_ITEM_WIDGET_H */
